Bug 178684 - Enable service worker to use cache storage api
Summary: Enable service worker to use cache storage api
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-10-23 14:46 PDT by youenn fablet
Modified: 2017-11-15 12:55 PST (History)
8 users (show)

See Also:


Attachments
Patch (46.09 KB, patch)
2017-10-24 11:17 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Making test more stable (46.38 KB, patch)
2017-10-24 12:17 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (46.17 KB, patch)
2017-10-24 14:16 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Rebasing patch for landing (46.51 KB, patch)
2017-10-24 14:28 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Rebasing patch for landing (47.38 KB, patch)
2017-10-24 14:53 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2017-10-23 14:46:33 PDT
Enable service worker to use cache storage api
Comment 1 youenn fablet 2017-10-24 11:17:31 PDT
Created attachment 324686 [details]
Patch
Comment 2 youenn fablet 2017-10-24 12:17:39 PDT
Created attachment 324699 [details]
Making test more stable
Comment 3 Brady Eidson 2017-10-24 13:49:06 PDT
Comment on attachment 324699 [details]
Making test more stable

Let's call this ServiceWorkerThreadProxy instead of ServiceWorkerThreadContainer (It's implementing WorkerLoader*PROXY*, and ServiceWorkerContainer is a spec defined concept.)
Comment 4 youenn fablet 2017-10-24 14:16:16 PDT
Created attachment 324719 [details]
Patch for landing
Comment 5 youenn fablet 2017-10-24 14:27:50 PDT
Comment on attachment 324719 [details]
Patch for landing

Patch conflicts with the one chris landed
Comment 6 youenn fablet 2017-10-24 14:28:08 PDT
Created attachment 324723 [details]
Rebasing patch for landing
Comment 7 youenn fablet 2017-10-24 14:53:35 PDT
Created attachment 324728 [details]
Rebasing patch for landing
Comment 8 WebKit Commit Bot 2017-10-24 15:28:48 PDT
Comment on attachment 324728 [details]
Rebasing patch for landing

Clearing flags on attachment: 324728

Committed r223935: <https://trac.webkit.org/changeset/223935>
Comment 9 WebKit Commit Bot 2017-10-24 15:28:49 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Radar WebKit Bug Importer 2017-11-15 12:55:55 PST
<rdar://problem/35568318>